// 각 기능별 컨트롤러 파일들을 불러옴
const createCtr = require('./createCtr');
const deleteCtr = require('./deleteCtr');
const getCtr = require('./getCtr');
const loginCtr = require('./loginCtr');
const logoutCtr = require('./logoutCtr');
const searchCtr = require('./searchCtr');
const rolesCtr = require('./rolesCtr');
const { updateCtr, clsChangeCtr } = require('./updateCtr');
const { approveCtr, pendingsCtr } = require('./approveCtr');

// 각 기능별 컨트롤러를 모아서 export
module.exports = {
    create: createCtr,
    delete: deleteCtr,
    get: getCtr,
    login: loginCtr,
    logout: logoutCtr,
    search: searchCtr,
    update: updateCtr,
    clsChange : clsChangeCtr,
    roles: rolesCtr,
    approve: approveCtr,
    pendings: pendingsCtr
};